## kinfocenter 5.12.4

=== CMakeLists.txt ===
project(kinfocenter)
set(PROJECT_VERSION "5.12.4")

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
set(QT_MIN_VERSION "5.7.0")

set(KF5_MIN_VERSION "5.30")
find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Completion
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DBusAddons
    DocTools
    I18n
    IconThemes
    KCMUtils
    KIO
    Service
    Solid
    WidgetsAddons
    XmlGui
    Declarative
    Package
    Solid
)

if(${Qt5Gui_OPENGL_IMPLEMENTATION} STREQUAL "GL")
    find_package(OpenGL)
    set_package_properties(OpenGL PROPERTIES DESCRIPTION "The OpenGL libraries"
                        URL "http://www.opengl.org"
                        TYPE OPTIONAL
                        )
else()
    find_package(OpenGLES)
    set_package_properties(OpenGLES PROPERTIES DESCRIPTION "The OpenGLES libraries"
                        URL "http://www.khronos.org/opengles"
                        TYPE OPTIONAL
                        )
endif()

find_package(EGL)
set_package_properties(EGL PROPERTIES
                       TYPE OPTIONAL
                       PURPOSE "Required for OpenGL Information Module"
                      )

find_package(KF5Wayland CONFIG)
set_package_properties(KF5Wayland PROPERTIES
                       TYPE OPTIONAL
                      )
add_feature_info("KF5Wayland" KF5Wayland_FOUND "Required for Wayland Compositor Information Module")

if(NOT APPLE)
  find_package(X11)
  set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                          URL "http://www.x.org"
                          TYPE OPTIONAL
                          PURPOSE "Required for building the X11 based workspace"
                        )
    if(X11_FOUND)
        set(HAVE_X11 TRUE)
    endif()
else()
  set(X11_FOUND False)
endif()


configure_file(config-workspace.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-workspace.h)
configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_definitions( -DKDE_DEFAULT_DEBUG_AREA=1208 )
remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_STRICT_ITERATORS -DQT_NO_CAST_FROM_BYTEARRAY -DQT_NO_KEYWORDS)

if(NOT CMAKE_VERSION VERSION_LESS "3.10.0" AND KF5_VERSION VERSION_LESS "5.42.0")
  # CMake 3.9+ warns about automoc on files without Q_OBJECT, and doesn't know about other macros.
  # 3.10+ lets us provide more macro names that require automoc.
  # KF5 >= 5.42 takes care itself of adding its macros in its cmake config files
  list(APPEND CMAKE_AUTOMOC_MACRO_NAMES "K_PLUGIN_FACTORY_WITH_JSON" "K_PLUGIN_FACTORY")
endif()


add_subdirectory( Categories )
add_subdirectory( kcontrol/menus )
add_subdirectory( Modules )
include(ECMOptionalAddSubdirectory)
ecm_optional_add_subdirectory( doc )

include_directories( ToolTips )

set( kinfocenter_SRCS
infocenter.cpp
main.cpp
sidepanel.cpp
kcmcontainer.cpp
kcmtreeitem.cpp
kcmcategoryitem.cpp
infokcmmodel.cpp
infokcmproxymodel.cpp
ToolTips/tooltipmanager.cpp
)

add_executable( kinfocenter ${kinfocenter_SRCS} )
target_compile_definitions(kinfocenter PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

target_link_libraries( kinfocenter
    KF5::Completion
    KF5::ConfigWidgets
    KF5::CoreAddons
    KF5::Crash
    KF5::DBusAddons
    KF5::I18n
    KF5::IconThemes
    KF5::KCMUtils
    KF5::Service
    KF5::Solid
    KF5::WidgetsAddons
    KF5::XmlGui
)

##install

install( TARGETS kinfocenter          ${INSTALL_TARGETS_DEFAULT_ARGS} )
install( PROGRAMS org.kde.kinfocenter.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES kinfocenterui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/kinfocenter )

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

  find_package(KF5DocTools CONFIG)
  if(KF5DocTools_FOUND)
    kdoctools_install(po)
  endif()

=== Modules/view1394/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcmview1394\")


########### next target ###############

set(kcm_view1394_PART_SRCS view1394.cpp )


ki18n_wrap_ui(kcm_view1394_PART_SRCS view1394widget.ui )

add_library(kcm_view1394 MODULE ${kcm_view1394_PART_SRCS})

target_link_libraries(kcm_view1394 KF5::KCMUtils KF5::I18n ${RAW1394_LIBRARIES} )

install(TARGETS kcm_view1394  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES kcmview1394.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
install( FILES oui.db  DESTINATION  ${DATA_INSTALL_DIR}/kcmview1394 )

=== debian/changelog ===
kinfocenter (4:5.12.4-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Mar 2018 20:52:54 +0100

kinfocenter (4:5.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Mar 2018 13:48:57 +0000

kinfocenter (4:5.12.2-0ubuntu2) bionic; urgency=medium

  * Temporarily do not depend on libegl1. Version in release is too old,
    and breaks desktop acceleration

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 23 Feb 2018 20:02:12 +0000

kinfocenter (4:5.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Feb 2018 22:42:32 +0000

kinfocenter (4:5.12.1-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 14 Feb 2018 12:12:36 +0000

kinfocenter (4:5.12.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.95)
  * New upstream release (5.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Feb 2018 11:50:03 +0000

kinfocenter (4:5.11.5-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 03 Jan 2018 17:38:43 +0000

kinfocenter (4:5.11.4-0ubuntu1) bionic; urgency=low

  * New upstream release (5.11.4)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 28 Nov 2017 21:14:42 -0600

kinfocenter (4:5.11.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.10.95)
  * New upstream release (5.11.0)
  * New upstream release (5.11.1)
  * New upstream release (5.11.2)
  * New upstream release (5.11.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Nov 2017 17:58:11 +0000

=== debian/control ===
Source: kinfocenter
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.42.0~),
               kinit-dev (>= 5.42.0~),
               libegl1-mesa-dev,
               libkf5completion-dev (>= 5.42.0~),
               libkf5config-dev (>= 5.42.0~),
               libkf5configwidgets-dev (>= 5.42.0~),
               libkf5coreaddons-dev (>= 5.42.0~),
               libkf5dbusaddons-dev (>= 5.42.0~),
               libkf5declarative-dev (>= 5.42.0~),
               libkf5doctools-dev (>= 5.42.0~),
               libkf5i18n-dev (>= 5.42.0~),
               libkf5iconthemes-dev (>= 5.42.0~),
               libkf5kcmutils-dev (>= 5.42.0~),
               libkf5kdelibs4support-dev (>= 5.42.0~),
               libkf5kio-dev (>= 5.42.0~),
               libkf5package-dev (>= 5.42.0~),
               libkf5service-dev (>= 5.42.0~),
               libkf5solid-dev (>= 5.42.0~),
               libkf5wayland-dev (>= 4:5.42.0~) [linux-any],
               libkf5widgetsaddons-dev (>= 5.42.0~),
               libkf5xmlgui-dev (>= 5.42.0~),
               libpci-dev,
               libraw1394-dev [linux-any],
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/kinfocenter
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kinfocenter
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kinfocenter

Package: kinfocenter
Architecture: any
Depends: baloo-kf5,
         ieee-data,
         plasma-workspace,
         usbutils,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: system information viewer
 The kinfocenter provides you with a centralized and convenient
 overview of your system and desktop environment.
 .
 The information center is made up of multiple modules.  Each module is a
 separate application, but the information center organizes all of these
 programs into a convenient location.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

l10npkgs_firstversion_ok := 4:4.14.0-2

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_install:
ifeq ($(DEB_HOST_ARCH_OS),linux)
	rm debian/kinfocenter/usr/share/kcmview1394/oui.db
endif
	rm debian/kinfocenter/usr/share/kcmusb/usb.ids
	$(overridden_command)

override_dh_fixperms:
	$(overridden_command)
	chmod 755 debian/kinfocenter/var/lib/ieee-data/update.d/kinfocenter_oui.sh

override_dh_link:
	$(overridden_command)
ifeq ($(DEB_HOST_ARCH_OS),linux)
	dh_link /var/lib/ieee-data/kinfocenter_oui.db /usr/share/kcmview1394/oui.db
endif

override_dh_shlibdeps:
	$(overridden_command) -pkinfocenter -- -xlibegl1
	$(overridden_command) --remaining-packages

=== debian/watch ===
version=3
http://download.kde.org/stable/plasma/([\d.]+)/kinfocenter-([\d.]+)\.tar\.xz

## kinfocenter 5.12.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(kinfocenter)
-set(PROJECT_VERSION "5.12.4")
+set(PROJECT_VERSION "5.12.8")
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 set(QT_MIN_VERSION "5.7.0")

=== Modules/base/CMakeLists.txt ===
# TODO: HAVE_LIBDEVINFO_H (for Solaris 7 and later)
#   to be set if both -ldevinfo and libdevinfo.h exist

include(CheckIncludeFiles)
check_include_files(devinfo.h HAVE_DEVINFO_H)       # info_fbsd.cpp

set(HAVE_WAYLAND ${KF5Wayland_FOUND})

configure_file (../base/config-infocenter.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-infocenter.h )

=== Modules/info/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcminfo\")

# OS Base includes
include(../base/CMakeLists.txt)

include_directories( 
	${CMAKE_CURRENT_SOURCE_DIR}/../base
)

########### next target ###############

set(kcm_info_PART_SRCS main.cpp info.cpp ../base/os_current.cpp )

if(KF5Wayland_FOUND)
    set(kcm_info_PART_SRCS ${kcm_info_PART_SRCS} ../base/info_wayland.cpp)
endif()

add_library(kcm_info MODULE ${kcm_info_PART_SRCS})

target_link_libraries(kcm_info
    KF5::CoreAddons
    KF5::KCMUtils
    KF5::I18n
    KF5::IconThemes
    ${X11_X11_LIB})

if(${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
    target_link_libraries(kcm_info devinfo)
endif()

if(KF5Wayland_FOUND)
    target_link_libraries(kcm_info KF5::WaylandClient)
endif()

install(TARGETS kcm_info  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install(
    FILES 
	dma.desktop 
	interrupts.desktop 
	ioports.desktop 
	xserver.desktop  
    wayland.desktop
	DESTINATION  ${SERVICES_INSTALL_DIR} 
)

=== debian/changelog ===
kinfocenter (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Jul 2019 09:39:08 +0100

kinfocenter (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Oct 2018 08:55:18 +0100

kinfocenter (4:5.12.6-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.6) (LP: #1779456)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 30 Jun 2018 18:28:43 +0100

kinfocenter (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 18:33:51 +0100

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
                libraw1394-dev [linux-any],
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/kinfocenter
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kinfocenter

## kinfocenter 5.13.5

=== debian/changelog ===
kinfocenter (4:5.13.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 07 Sep 2018 16:34:44 +0100

kinfocenter (4:5.13.4-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Kubuntu packaging Vcs fields.
    - debian/comtrol: Bumped Frameworks build deps.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 28 Aug 2018 11:18:53 +0100

kinfocenter (4:5.13.4-1) unstable; urgency=medium

  * New upstream release (5.13.4).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Aug 2018 23:17:59 +0200

kinfocenter (4:5.13.4-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.4)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 03 Aug 2018 16:40:51 +0100

kinfocenter (4:5.13.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.0)
  * New upstream release (5.13.1)
  * New upstream release (5.13.2)
  * New upstream release (5.13.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 28 Jul 2018 17:25:44 +0100

kinfocenter (4:5.13.1-1) unstable; urgency=medium

  * New upstream release (5.13.1).
  * Bump group breaks (4:5.13)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Jun 2018 13:42:58 +0200

kinfocenter (4:5.12.6-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.6)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 28 Jun 2018 15:30:56 +0100

kinfocenter (4:5.12.5-1) unstable; urgency=medium

  * New upstream release (5.12.5).
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 May 2018 13:23:58 +0200

kinfocenter (4:5.12.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 May 2018 19:23:54 +0100

kinfocenter (4:5.12.4-1) unstable; urgency=medium

  * New upstream release (5.12.2).
  * New upstream release (5.12.4).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 28 Mar 2018 18:12:44 +0200

kinfocenter (4:5.12.1-1) sid; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.12.1).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 Feb 2018 22:08:47 +0100

kinfocenter (4:5.12.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Mon, 12 Feb 2018 16:03:34 +0100

kinfocenter (4:5.12.0-1) experimental; urgency=medium

  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Add link options as-needed
  * Add Bhushan Shah upstream signing key
  * New upstream release (5.12.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.3.
  * Use https uri for uscan
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Thu, 08 Feb 2018 15:20:38 +0100

kinfocenter (4:5.11.4-1) experimental; urgency=medium

  * New upstream release (5.11.4).
  * Bump Standards-Version to 4.1.2.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jan 2018 16:48:54 -0300

kinfocenter (4:5.10.5-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:55:22 +0200

kinfocenter (4:5.10.5-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.3).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.0.0.
  * Update upstream metadata
  * New upstream release (5.10.4).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.10.5).
  * Release to experimental

  [ Jonathan Riddell ]
  * update watch file to version=4 with pgp signature checking

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Aug 2017 15:28:19 +0200

kinfocenter (4:5.8.5-1) experimental; urgency=medium

  * New upstream release (5.8.5).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Dec 2016 18:46:15 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 9),
+               debhelper (>= 11~),
                extra-cmake-modules (>= 5.42.0~),
                kinit-dev (>= 5.42.0~),
                libegl1-mesa-dev,
@@ -12,6 +12,7 @@
                libkf5config-dev (>= 5.42.0~),
                libkf5configwidgets-dev (>= 5.42.0~),
                libkf5coreaddons-dev (>= 5.42.0~),
+               libkf5crash-dev (>= 5.42~),
                libkf5dbusaddons-dev (>= 5.42.0~),
                libkf5declarative-dev (>= 5.42.0~),
                libkf5doctools-dev (>= 5.42.0~),
@@ -30,20 +31,19 @@
                libraw1394-dev [linux-any],
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               qtbase5-dev (>= 5.6.1~),
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.7.0~),
+Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/kde/workspace/kinfocenter
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kinfocenter
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kinfocenter
 
 Package: kinfocenter
 Architecture: any
-Depends: baloo-kf5,
-         ieee-data,
-         plasma-workspace,
+Depends: ieee-data,
+         plasma-workspace (>= 4:5.13),
          usbutils,
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Breaks: ${kde-l10n:all}
 Replaces: ${kde-l10n:all}
 Description: system information viewer

## kinfocenter 5.14.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 project(kinfocenter)
-set(PROJECT_VERSION "5.12.8")
+set(PROJECT_VERSION "5.14.5")
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(QT_MIN_VERSION "5.7.0")
+set(QT_MIN_VERSION "5.11.0")
 
-set(KF5_MIN_VERSION "5.30")
+set(KF5_MIN_VERSION "5.50")
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
@@ -30,6 +30,7 @@
     Service
     Solid
     WidgetsAddons
+    WindowSystem
     XmlGui
     Declarative
     Package
@@ -81,8 +82,10 @@
 configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h)
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
-add_definitions( -DKDE_DEFAULT_DEBUG_AREA=1208 )
-remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_STRICT_ITERATORS -DQT_NO_CAST_FROM_BYTEARRAY -DQT_NO_KEYWORDS)
+remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_FROM_BYTEARRAY -DQT_NO_KEYWORDS)
+add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
+add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
+add_definitions(-DQT_USE_QSTRINGBUILDER)
 
 if(NOT CMAKE_VERSION VERSION_LESS "3.10.0" AND KF5_VERSION VERSION_LESS "5.42.0")
   # CMake 3.9+ warns about automoc on files without Q_OBJECT, and doesn't know about other macros.
@@ -127,6 +130,7 @@
     KF5::Service
     KF5::Solid
     KF5::WidgetsAddons
+    KF5::WindowSystem
     KF5::XmlGui
 )

=== debian/changelog ===
kinfocenter (4:5.14.5-2) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Salsa CI automatic initialization by Tuco

  [ Pino Toscano ]
  * Bump Standards-Version to 4.4.1, no changes required.
  * Remove the unused kinit-dev, and libkf5kdelibs4support-dev build
    dependencies.
  * Explicitly add the gettext build dependency.
  * Switch the usbutils dependency to usb.ids, as the latter now provides the
    usb.ids file.

 -- Pino Toscano <pino@debian.org>  Mon, 14 Oct 2019 07:33:44 +0200

kinfocenter (4:5.14.5-1) unstable; urgency=medium

  * New upstream release (5.14.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 24 Jan 2019 09:25:49 -0300

kinfocenter (4:5.14.3-1) unstable; urgency=medium

  * Update upsteam signing-key
  * New upstream release (5.14.3).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (4:5.14)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 Nov 2018 08:50:35 -0300

=== debian/control ===
Source: kinfocenter
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.50~),
               gettext,
               libegl1-mesa-dev,
               libkf5completion-dev (>= 5.50~),
               libkf5config-dev (>= 5.50~),
               libkf5configwidgets-dev (>= 5.50~),
               libkf5coreaddons-dev (>= 5.50~),
               libkf5crash-dev (>= 5.50~),
               libkf5dbusaddons-dev (>= 5.50~),
               libkf5declarative-dev (>= 5.50~),
               libkf5doctools-dev (>= 5.50~),
               libkf5i18n-dev (>= 5.50~),
               libkf5iconthemes-dev (>= 5.50~),
               libkf5kcmutils-dev (>= 5.50~),
               libkf5kio-dev (>= 5.50~),
               libkf5package-dev (>= 5.50~),
               libkf5service-dev (>= 5.50~),
               libkf5solid-dev (>= 5.50~),
               libkf5wayland-dev (>= 4:5.4.1~) [linux-any],
               libkf5widgetsaddons-dev (>= 5.50~),
               libkf5windowsystem-dev (>= 5.50~),
               libkf5xmlgui-dev (>= 5.50~),
               libpci-dev,
               libraw1394-dev [linux-any],
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.11.0~),
Standards-Version: 4.4.1
Homepage: https://projects.kde.org/projects/kde/workspace/kinfocenter
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kinfocenter
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kinfocenter.git

Package: kinfocenter
Architecture: any
Depends: ieee-data,
         plasma-workspace (>= 4:5.14),
         usb.ids,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: system information viewer
 The kinfocenter provides you with a centralized and convenient
 overview of your system and desktop environment.
 .
 The information center is made up of multiple modules.  Each module is a
 separate application, but the information center organizes all of these
 programs into a convenient location.

## kinfocenter 5.15.4

=== debian/changelog ===
kinfocenter (4:5.15.4-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (5.15.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Apr 2019 17:09:20 +0100

kinfocenter (4:5.15.3-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.3)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Mar 2019 09:08:47 +0000

kinfocenter (4:5.15.2-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 26 Feb 2019 19:13:27 +0000

kinfocenter (4:5.15.1-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 19 Feb 2019 21:33:17 +0000

kinfocenter (4:5.15.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 12 Feb 2019 09:52:53 +0000

kinfocenter (4:5.14.90-0ubuntu1) disco; urgency=medium

  * New upstream (beta) release (5.14.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 19 Jan 2019 08:24:08 +0000

kinfocenter (4:5.14.5-0ubuntu1) disco; urgency=medium

  * New upstream release (5.14.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 Jan 2019 23:48:00 +0000

kinfocenter (4:5.14.4-0ubuntu1) disco; urgency=medium

  * New upstream release (5.13.90)
  * New upstream release (5.14.0)
  * New upstream release (5.14.1)
  * New upstream release (5.14.2)
  * New upstream release (5.14.3)
  * New upstream release (5.14.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Nov 2018 23:15:04 +0000

=== debian/control ===
Source: kinfocenter
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.54.0~),
               kinit-dev (>= 5.54.0~),
               libegl1-mesa-dev,
               libkf5completion-dev (>= 5.54.0~),
               libkf5config-dev (>= 5.54.0~),
               libkf5configwidgets-dev (>= 5.54.0~),
               libkf5coreaddons-dev (>= 5.54.0~),
               libkf5crash-dev (>= 5.54.0~),
               libkf5dbusaddons-dev (>= 5.54.0~),
               libkf5declarative-dev (>= 5.54.0~),
               libkf5doctools-dev (>= 5.54.0~),
               libkf5i18n-dev (>= 5.54.0~),
               libkf5iconthemes-dev (>= 5.54.0~),
               libkf5kcmutils-dev (>= 5.54.0~),
               libkf5kdelibs4support-dev (>= 5.54.0~),
               libkf5kio-dev (>= 5.54.0~),
               libkf5package-dev (>= 5.54.0~),
               libkf5service-dev (>= 5.54.0~),
               libkf5solid-dev (>= 5.54.0~),
               libkf5wayland-dev (>= 4:5.54.0~) [linux-any],
               libkf5widgetsaddons-dev (>= 5.54.0~),
               libkf5xmlgui-dev (>= 5.54.0~),
               libpci-dev,
               libraw1394-dev [linux-any],
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.7.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/kinfocenter
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kinfocenter
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kinfocenter

Package: kinfocenter
Architecture: any
Depends: ieee-data,
         plasma-workspace (>= 4:5.14),
         usbutils,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: system information viewer
 The kinfocenter provides you with a centralized and convenient
 overview of your system and desktop environment.
 .
 The information center is made up of multiple modules.  Each module is a
 separate application, but the information center organizes all of these
 programs into a convenient location.

## kinfocenter 5.16.5

=== debian/changelog ===
kinfocenter (4:5.16.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 04 Sep 2019 09:23:59 +0100

kinfocenter (4:5.16.4-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 Jul 2019 18:44:47 +0100

kinfocenter (4:5.16.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 09 Jul 2019 22:22:07 +0100

kinfocenter (4:5.16.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 25 Jun 2019 18:23:04 +0100

kinfocenter (4:5.16.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 18 Jun 2019 22:23:33 +0100

kinfocenter (4:5.16.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 11 Jun 2019 11:35:46 +0100

kinfocenter (4:5.15.90-0ubuntu1) eoan; urgency=medium

  * New upstream (beta) release (5.15.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 18 May 2019 08:48:54 +0100

kinfocenter (4:5.15.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.15.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 May 2019 13:47:47 +0100

=== debian/control ===
Source: kinfocenter
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.58.0~),
               kinit-dev (>= 5.58.0~),
               libegl1-mesa-dev,
               libkf5completion-dev (>= 5.58.0~),
               libkf5config-dev (>= 5.58.0~),
               libkf5configwidgets-dev (>= 5.58.0~),
               libkf5coreaddons-dev (>= 5.58.0~),
               libkf5crash-dev (>= 5.58.0~),
               libkf5dbusaddons-dev (>= 5.58.0~),
               libkf5declarative-dev (>= 5.58.0~),
               libkf5doctools-dev (>= 5.58.0~),
               libkf5i18n-dev (>= 5.58.0~),
               libkf5iconthemes-dev (>= 5.58.0~),
               libkf5kcmutils-dev (>= 5.58.0~),
               libkf5kdelibs4support-dev (>= 5.58.0~),
               libkf5kio-dev (>= 5.58.0~),
               libkf5package-dev (>= 5.58.0~),
               libkf5service-dev (>= 5.58.0~),
               libkf5solid-dev (>= 5.58.0~),
               libkf5wayland-dev (>= 4:5.58.0~) [linux-any],
               libkf5widgetsaddons-dev (>= 5.58.0~),
               libkf5xmlgui-dev (>= 5.58.0~),
               libpci-dev,
               libraw1394-dev [linux-any],
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.7.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/kinfocenter
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kinfocenter
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kinfocenter

Package: kinfocenter
Architecture: any
Depends: ieee-data,
         plasma-workspace (>= 4:5.14),
         usbutils,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: system information viewer
 The kinfocenter provides you with a centralized and convenient
 overview of your system and desktop environment.
 .
 The information center is made up of multiple modules.  Each module is a
 separate application, but the information center organizes all of these
 programs into a convenient location.

## kinfocenter 5.18.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 project(kinfocenter)
-set(PROJECT_VERSION "5.14.5")
+set(PROJECT_VERSION "5.18.4")
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
-set(QT_MIN_VERSION "5.11.0")
+set(QT_MIN_VERSION "5.12.0")
 
-set(KF5_MIN_VERSION "5.50")
+set(KF5_MIN_VERSION "5.66.0")
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
@@ -12,6 +12,8 @@
 include(KDECMakeSettings)
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(FeatureSummary)
+include(KDEClangFormat)
+include(ECMQMLModules)
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets)
 
@@ -40,13 +42,13 @@
 if(${Qt5Gui_OPENGL_IMPLEMENTATION} STREQUAL "GL")
     find_package(OpenGL)
     set_package_properties(OpenGL PROPERTIES DESCRIPTION "The OpenGL libraries"
-                        URL "http://www.opengl.org"
+                        URL "https://www.opengl.org"
                         TYPE OPTIONAL
                         )
 else()
     find_package(OpenGLES)
     set_package_properties(OpenGLES PROPERTIES DESCRIPTION "The OpenGLES libraries"
-                        URL "http://www.khronos.org/opengles"
+                        URL "https://www.khronos.org/opengles"
                         TYPE OPTIONAL
                         )
 endif()
@@ -63,22 +65,19 @@
                       )
 add_feature_info("KF5Wayland" KF5Wayland_FOUND "Required for Wayland Compositor Information Module")
 
-if(NOT APPLE)
-  find_package(X11)
-  set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
-                          URL "http://www.x.org"
-                          TYPE OPTIONAL
-                          PURPOSE "Required for building the X11 based workspace"
-                        )
-    if(X11_FOUND)
-        set(HAVE_X11 TRUE)
-    endif()
-else()
-  set(X11_FOUND False)
+find_package(X11)
+set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
+    URL "https://www.x.org"
+    TYPE OPTIONAL
+    PURPOSE "Required for building the X11 based workspace"
+)
+if(X11_FOUND)
+    set(HAVE_X11 TRUE)
 endif()
 
+ecm_find_qmlmodule(org.kde.kirigami 2.5)
 
-configure_file(config-workspace.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-workspace.h)
+configure_file(config-project-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-project-version.h)
 configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h)
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
@@ -86,13 +85,6 @@
 add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 add_definitions(-DQT_USE_QSTRINGBUILDER)
-
-if(NOT CMAKE_VERSION VERSION_LESS "3.10.0" AND KF5_VERSION VERSION_LESS "5.42.0")
-  # CMake 3.9+ warns about automoc on files without Q_OBJECT, and doesn't know about other macros.
-  # 3.10+ lets us provide more macro names that require automoc.
-  # KF5 >= 5.42 takes care itself of adding its macros in its cmake config files
-  list(APPEND CMAKE_AUTOMOC_MACRO_NAMES "K_PLUGIN_FACTORY_WITH_JSON" "K_PLUGIN_FACTORY")
-endif()
 
 
 add_subdirectory( Categories )
@@ -134,9 +126,14 @@
     KF5::XmlGui
 )
 
+# add clang-format target for all our real source files
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+
 ##install
 
 install( TARGETS kinfocenter          ${INSTALL_TARGETS_DEFAULT_ARGS} )
+install( FILES org.kde.kinfocenter.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 install( PROGRAMS org.kde.kinfocenter.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
 install( FILES kinfocenterui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/kinfocenter )

=== Modules/base/CMakeLists.txt ===
include(CheckIncludeFiles)
check_include_files(devinfo.h HAVE_DEVINFO_H)       # info_fbsd.cpp

set(HAVE_WAYLAND ${KF5Wayland_FOUND})

configure_file (../base/config-infocenter.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-infocenter.h )

=== Modules/opengl/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcmopengl\")

if(KCM_ENABLE_OPENGL)
include_directories( ${OPENGL_INCLUDE_DIR} ${OPENGL_GLU_INCLUDE_DIR} )
endif()

if(KCM_ENABLE_OPENGLES)
include_directories( ${OPENGLES_INCLUDE_DIR} )
endif()

########### next target ###############

set(KCM_OPENGL_PART_SRCS opengl.cpp )
set(KCM_OPENGL_PART_UIS opengl.ui )

ki18n_wrap_ui(KCM_OPENGL_PART_UIS_H ${KCM_OPENGL_PART_UIS})

add_library(kcm_opengl MODULE ${KCM_OPENGL_PART_SRCS} ${KCM_OPENGL_PART_UIS_H})

target_link_libraries(kcm_opengl KF5::KCMUtils KF5::I18n ${X11_X11_LIB})

find_library(DL_LIBRARY dl)
if (DL_LIBRARY)
  target_link_libraries(kcm_opengl ${DL_LIBRARY})
endif()

if(KCM_ENABLE_OPENGL)
target_link_libraries(kcm_opengl ${OPENGL_gl_LIBRARY} ${OPENGL_glu_LIBRARY})
endif()

if(KCM_HAVE_EGL)
  target_link_libraries(kcm_opengl EGL::EGL)
endif()

if(KCM_ENABLE_OPENGLES)
target_link_libraries(kcm_opengl ${OPENGLES_LIBRARIES})
endif()

configure_file(openglconfig.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/openglconfig.h )

install(TARGETS kcm_opengl  DESTINATION ${PLUGIN_INSTALL_DIR})

########### install files ###############

install(FILES opengl.desktop  DESTINATION  ${SERVICES_INSTALL_DIR})

=== Modules/usbview/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcmusb\")

########### next target ###############

set(kcm_usb_PART_SRCS kcmusb.cpp usbdevices.cpp usbdb.cpp )


add_library(kcm_usb MODULE ${kcm_usb_PART_SRCS})


target_link_libraries(kcm_usb KF5::KCMUtils KF5::I18n)

install(TARGETS kcm_usb  DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES kcmusb.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
install( FILES usb.ids  DESTINATION  ${DATA_INSTALL_DIR}/kcmusb )

=== debian/changelog ===
kinfocenter (4:5.18.4.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.4.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Apr 2020 19:46:12 +0100

kinfocenter (4:5.18.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Mar 2020 18:07:37 +0000

kinfocenter (4:5.18.2-0ubuntu2) focal; urgency=medium

  * Add qml-module-org-kde-kirigami2 dependency.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 27 Feb 2020 01:49:50 +0000

kinfocenter (4:5.18.2-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 18:29:48 +0000

kinfocenter (4:5.18.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2020 14:36:38 +0000

kinfocenter (4:5.18.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2020 07:43:57 +0000

kinfocenter (4:5.17.90-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.17.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 16 Jan 2020 18:07:52 +0000

kinfocenter (4:5.17.5-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Jan 2020 06:44:28 +0000

kinfocenter (4:5.17.4-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Dec 2019 19:23:44 +0000

kinfocenter (4:5.17.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2019 17:04:34 +0000

kinfocenter (4:5.17.2-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.16.90)
  * New upstream release (5.17.0)
  * New upstream release (5.17.1)
  * New upstream release (5.17.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Oct 2019 17:49:47 +0000

## kinfocenter 5.18.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(kinfocenter)
-set(PROJECT_VERSION "5.18.4")
+set(PROJECT_VERSION "5.18.5")
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 set(QT_MIN_VERSION "5.12.0")

=== Modules/fileindexermonitor/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_fileindexermonitor\")

set(kcm_fileindexer_SRCS
  kcm.cpp
)

add_library(kcm_fileindexermonitor MODULE ${kcm_fileindexer_SRCS})

target_link_libraries(kcm_fileindexermonitor
  Qt5::Widgets
  KF5::KIOWidgets
  KF5::CoreAddons
  KF5::KCMUtils
  KF5::I18n
  KF5::QuickAddons
)

kcoreaddons_desktop_to_json(kcm_fileindexermonitor "kcm_fileindexermonitor.desktop")

install(FILES kcm_fileindexermonitor.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(TARGETS kcm_fileindexermonitor DESTINATION ${PLUGIN_INSTALL_DIR}/kcms)

kpackage_install_package(package kcm_fileindexermonitor kcms)

=== debian/changelog ===
kinfocenter (4:5.18.5-0ubuntu0.1) focal; urgency=medium

  * New upstream release (5.18.5) (LP: #1876876)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 May 2020 15:16:36 +0100

=== debian/control ===
Source: kinfocenter
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.66.0~),
               kinit-dev (>= 5.66.0~),
               libegl1-mesa-dev,
               libkf5completion-dev (>= 5.66.0~),
               libkf5config-dev (>= 5.66.0~),
               libkf5configwidgets-dev (>= 5.66.0~),
               libkf5coreaddons-dev (>= 5.66.0~),
               libkf5crash-dev (>= 5.66.0~),
               libkf5dbusaddons-dev (>= 5.66.0~),
               libkf5declarative-dev (>= 5.66.0~),
               libkf5doctools-dev (>= 5.66.0~),
               libkf5i18n-dev (>= 5.66.0~),
               libkf5iconthemes-dev (>= 5.66.0~),
               libkf5kcmutils-dev (>= 5.66.0~),
               libkf5kdelibs4support-dev (>= 5.66.0~),
               libkf5kio-dev (>= 5.66.0~),
               libkf5package-dev (>= 5.66.0~),
               libkf5service-dev (>= 5.66.0~),
               libkf5solid-dev (>= 5.66.0~),
               libkf5wayland-dev (>= 4:5.66.0~) [linux-any],
               libkf5widgetsaddons-dev (>= 5.66.0~),
               libkf5xmlgui-dev (>= 5.66.0~),
               libpci-dev,
               libraw1394-dev [linux-any],
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.7.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/kinfocenter
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kinfocenter
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kinfocenter

Package: kinfocenter
Architecture: any
Depends: ieee-data,
         plasma-workspace (>= 4:5.18.0),
         qml-module-org-kde-kirigami2,
         usbutils,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: system information viewer
 The kinfocenter provides you with a centralized and convenient
 overview of your system and desktop environment.
 .
 The information center is made up of multiple modules.  Each module is a
 separate application, but the information center organizes all of these
 programs into a convenient location.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

l10npkgs_firstversion_ok := 4:4.14.0-2
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_install:
ifeq ($(DEB_HOST_ARCH_OS),linux)
	rm debian/kinfocenter/usr/share/kcmview1394/oui.db
endif
	rm debian/kinfocenter/usr/share/kcmusb/usb.ids
	dh_install

override_dh_fixperms:
	dh_fixperms
	chmod 755 debian/kinfocenter/var/lib/ieee-data/update.d/kinfocenter_oui.sh

override_dh_link:
	dh_link
ifeq ($(DEB_HOST_ARCH_OS),linux)
	dh_link /var/lib/ieee-data/kinfocenter_oui.db /usr/share/kcmview1394/oui.db
endif

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

## kinfocenter 5.19.5

=== debian/changelog ===
kinfocenter (4:5.19.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Sep 2020 12:53:28 +0100

kinfocenter (4:5.19.4-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jul 2020 20:41:46 +0100

kinfocenter (4:5.19.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Jul 2020 13:58:43 +0100

kinfocenter (4:5.19.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.0)
  * New upstream release (5.19.1)
  * New upstream release (5.19.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Jun 2020 13:45:13 +0100

kinfocenter (4:5.18.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.18.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 May 2020 23:39:46 +0100

=== debian/control ===
Source: kinfocenter
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.70.0~),
               kinit-dev (>= 5.70.0~),
               libegl1-mesa-dev,
               libkf5completion-dev (>= 5.70.0~),
               libkf5config-dev (>= 5.70.0~),
               libkf5configwidgets-dev (>= 5.70.0~),
               libkf5coreaddons-dev (>= 5.70.0~),
               libkf5crash-dev (>= 5.70.0~),
               libkf5dbusaddons-dev (>= 5.70.0~),
               libkf5declarative-dev (>= 5.70.0~),
               libkf5doctools-dev (>= 5.70.0~),
               libkf5i18n-dev (>= 5.70.0~),
               libkf5iconthemes-dev (>= 5.70.0~),
               libkf5kcmutils-dev (>= 5.70.0~),
               libkf5kdelibs4support-dev (>= 5.70.0~),
               libkf5kio-dev (>= 5.70.0~),
               libkf5package-dev (>= 5.70.0~),
               libkf5service-dev (>= 5.70.0~),
               libkf5solid-dev (>= 5.70.0~),
               libkf5wayland-dev (>= 4:5.70.0~) [linux-any],
               libkf5widgetsaddons-dev (>= 5.70.0~),
               libkf5xmlgui-dev (>= 5.70.0~),
               libpci-dev,
               libraw1394-dev [linux-any],
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.7.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/kinfocenter
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kinfocenter
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kinfocenter

Package: kinfocenter
Architecture: any
Depends: ieee-data,
         plasma-workspace,
         qml-module-org-kde-kirigami2,
         usbutils,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: system information viewer
 The kinfocenter provides you with a centralized and convenient
 overview of your system and desktop environment.
 .
 The information center is made up of multiple modules.  Each module is a
 separate application, but the information center organizes all of these
 programs into a convenient location.
